<?php
namespace SimpleMDText\Service\BlockLayout;

use Interop\Container\ContainerInterface;
use SimpleMDText\Site\BlockLayout\SimpleMDText;
use Laminas\ServiceManager\Factory\FactoryInterface;

class SimpleMDTextFactory implements FactoryInterface
{
	public function __invoke(ContainerInterface $services, $requestedName, array $options = null)
	{
		return new SimpleMDText(
			$services->get('FormElementManager'),
			$services->get('Config')['DefaultSettings']['SimpleMDTextBlockForm']
		);
	}
}
?>